<?php
/**
 * The Header for our theme.
 *
 * Displays all of the <head> section and everything up till <div id="main">
 *
 */
?>
<!DOCTYPE html>
<html <?php language_attributes(); ?>>
    <head>
        <meta charset="<?php bloginfo('charset'); ?>" />
        <?php apply_filters('wp_title', '&#124;', true, 'right'); ?>
        <meta name="viewport" content="width=device-width, initial-scale=1.0, maximum-scale=1.0, user-scalable=0" />
        <link rel="profile" href="http://gmpg.org/xfn/11" />
        <link rel="pingback" href="<?php bloginfo('pingback_url'); ?>" />
        <?php wp_head(); ?>
    </head>
    <body <?php body_class(); ?>>
        <div class="header_container">
            <div class="container">
                <div class="row">
                    <div class="header">
                        <div class="col-md-4">
                            <div class="logo">
                                <?php if (harrington_is_preview()) { ?>
                                    <a class="harrington_logo" href="<?php echo esc_url(home_url()); ?>"><img src="<?php echo HARRINGTON_DIR_URI . 'assets/images/logo.png'; ?>" alt="<?php bloginfo('name'); ?>" alt="<?php
                                        bloginfo('name');
                                        _e('logo', 'harrington');
                                        ?>"/></a>
                                    <?php } else if (harrington_get_option('harrington_logo') != '') { ?>
                                   <a class="harrington_logo" href="<?php echo esc_url(home_url()); ?>"><img src="<?php echo harrington_get_option('harrington_logo'); ?>" alt="<?php bloginfo('name'); 
                                   ?>" alt="<?php
                                                                         bloginfo('name');
                                                                         _e('logo', 'harrington');
                                                                         ?>"/></a>
                                    <?php } else { ?>
                                    <hgroup>
                                        <h1 class="site-title"><a href="<?php echo esc_url(home_url('/')); ?>" title="<?php echo esc_attr(get_bloginfo('name', 'display')); ?>" rel="home"><?php bloginfo('name'); ?></a></h1>
                                        <h5 class="site-description"><?php bloginfo('description'); ?></h5>
                                    </hgroup>
                                <?php } ?>
                            </div>
                        </div> 








                        <div class="col-md-8 top_menu">
                            <div class="menu_wrapper">
                                <div id="MainNav">
                                    <?php harrington_nav(); ?>                       
                                </div>
                            </div>	
                            <div class="call-us">
                            </div>
                        </div>
                    </div>
                </div>
                <div class="clear"></div>
            </div>
        </div>