<?php

/**
 * Lite Manager
 *
 * @package Harrington
 * @since 1.0.12
 */
/**
 * About page class
 */
require_once get_template_directory() . '/cw-notifications/cw-about-page/class-inkthemes-about-page.php';

$func = 'general_admin_notice';

/*
 * About page instance
 */
$config = array(
    // Menu name under Appearance.
    'menu_name' => apply_filters('harrington_about_page_filter', __('About Harrington', 'harrington'), 'menu_name'),
    // Page title.
    'page_name' => apply_filters('harrington_about_page_filter', __('About Harrington', 'harrington'), 'page_name'),
    // Main welcome title
    /* translators: s - theme name */
    'welcome_title' => apply_filters('harrington_about_page_filter', sprintf(__('Welcome to %s!', 'harrington'), 'Harrington'), 'welcome_title'),
    // Main welcome content
    'welcome_content' => apply_filters('harrington_about_page_filter', sprintf(__('Harrington is ultimate WordPress theme with lots of customization features and options. The theme can be used by all kind of businesses and it is also perfect for personal use.', 'harrington'), 'welcome_content')),
    /**
     * Tabs array.
     *
     * The key needs to be ONLY consisted from letters and underscores. If we want to define outside the class a function to render the tab,
     * the will be the name of the function which will be used to render the tab content.
     */
    'tabs' => array(
        'getting_started' => __('Getting Started', 'harrington'),
        'getting_started_theme' => __('Getting Started (Harrington)', 'harrington'),
        'support' => __('Support', 'harrington'),
        'changelog' => __('Changelog', 'harrington'),
        'free_pro' => __('Free vs Paid', 'harrington'),
    ),
    // Support content tab.
    'support_content' => array(
        'first' => array(
            'title' => esc_html__('Contact Support', 'harrington'),
//            'icon' => 'dashicons dashicons-sos',
            'text' => esc_html__('Our support staff is always dedicated to hold your website up and running without any glitch. If you need any kind help while creating a website with Harrington you can contact us via our conatct form.', 'harrington'),
            'button_label' => esc_html__('Contact Us', 'harrington'),
            'button_link' => esc_url('https://www.inkthemes.com/contact-us/'),
            'is_button' => true,
            'is_new_tab' => true,
        ),
        'second' => array(
            'title' => esc_html__('Support', 'harrington'),
//            'icon' => 'dashicons dashicons-book-alt',
            'text' => esc_html__('Checkout our support forum for more help.', 'harrington'),
            'button_label' => esc_html__('Support Forum', 'harrington'),
            'button_link' => 'https://wordpress.org/support/theme/harrington',
            'is_button' => false,
            'is_new_tab' => true,
        ),
        'third' => array(
            'title' => esc_html__('Changelog', 'harrington'),
//            'icon' => 'dashicons dashicons-portfolio',
            'text' => esc_html__('We keep a track and manitain all the records of our enhanced features or latest versions of theme in the Changelog. You can find all those changes and uodated anytime in our Changelog.', 'harrington'),
            'button_label' => esc_html__('Changelog', 'harrington'),
            'button_link' => esc_url(admin_url('themes.php?page=harrington-welcome&tab=changelog&show=yes')),
            'is_button' => false,
            'is_new_tab' => false,
        ),
    ),
    // Getting started tab
    'getting_started' => array(
        'first' => array(
            // 'title' => esc_html__('', 'harrington'),
            'text' => $func()
        ),
    ),
    // Getting started theme tab
    'getting_started_theme' => array(
        'first' => array(
            'title' => esc_html__('Harrington Theme - Full Documentation', 'harrington'),
            'text' => esc_html__('Read full documentation of Harrington Pro WordPress Theme. In case any issue, you can go to the community forum of InkThemes and get instant solution to your queries.', 'harrington'),
            'button_label' => esc_html__('View Harrington Pro Documentation', 'harrington'),
            'button_link' => 'https://www.inkthemes.com/wordpress-business-website-build-theme-tutorial/',
            'is_button' => false,
            'recommended_actions' => false,
            'is_new_tab' => true,
        ),
        'second' => array(
            'title' => esc_html__('Upgrade To Harrington WordPress Theme [Pro]', 'harrington'),
            'text' => esc_html__('Make a move to Harrington Pro. Get WooCommerce, Advance CSS, Mobile friendliness and more when you switch from basic to advance.', 'harrington'),
            'button_label' => esc_html__('View Pro Features', 'harrington'),
            'button_link' => 'https://www.inkthemes.com/market/wordpress-business-theme/',
            'is_button' => false,
            'recommended_actions' => true,
            'is_new_tab' => false,
        ),
    ),
    // Free vs PRO array.
    'free_pro' => array(
        'free_theme_name' => 'Harrington Lite',
        'pro_theme_name' => 'Harrington Pro',
        'pro_theme_link' => 'https://www.inkthemes.com/market/wordpress-business-theme/',
        /* translators: s - theme name */
        'get_pro_theme_label' => sprintf(__('Get %s now!', 'harrington'), 'Harrington Pro'),
        'banner_link' => 'https://www.inkthemes.com/doc/72278/',
        //'banner_src'          => get_template_directory_uri() . '/assets/images/feature-image.png',
        'features' => array(
            array(
                'title' => __('Live Customizer', 'harrington'),
                'description' => __('Visible Editing Shortcuts For HomePage Elements. Now, edit the content directly by clicking the edit icon(pencil) on homepage elements.', 'harrington'),
                'is_in_lite' => 'true',
                'is_in_pro' => 'true',
            ),
            array(
                'title' => __('Translation Ready', 'harrington'),
                'description' => __('The theme is compatible with WPML plugin and you can display the contents in your desired language.', 'harrington'),
                'is_in_lite' => 'true',
                'is_in_pro' => 'true',
            ),
            array(
                'title' => __('Mobile Friendly', 'harrington'),
                'description' => __('Responsive layout. Works on every device.', 'harrington'),
                'is_in_lite' => 'true',
                'is_in_pro' => 'true',
            ),
            array(
                'title' => __('Site Title & Tagline', 'harrington'),
                'description' => __('You can add Site Title & Tagline of your choice. ', 'harrington'),
                'is_in_lite' => 'true',
                'is_in_pro' => 'true',
            ),
            array(
                'title' => __('Logo & Favicon', 'harrington'),
                'description' => __('You can upload Logo & Favicon of your choice. ', 'harrington'),
                'is_in_lite' => 'true',
                'is_in_pro' => 'true',
            ),
            array(
                'title' => __('Background Image', 'harrington'),
                'description' => __('You can use any background image you want.', 'harrington'),
                'is_in_lite' => 'true',
                'is_in_pro' => 'true',
            ),
            array(
                'title' => __('Home Page Blog Section', 'harrington'),
                'description' => __('Keep your customers updated with latest news and services of your business.', 'harrington'),
                'is_in_lite' => 'true',
                'is_in_pro' => 'true',
            ),
            array(
                'title' => __('Social Icons', 'harrington'),
                'description' => __('You can put all your social links with customizable icons', 'harrington'),
                'is_in_lite' => 'true',
                'is_in_pro' => 'true',
            ),
            array(
                'title' => __('24*7 Support', 'harrington'),
                'description' => __('Get instant solution to all your queries with our 24*7 supportt', 'harrington'),
                'is_in_lite' => 'true',
                'is_in_pro' => 'true',
            ),
            array(
                'title' => __('Tap To Call Feature', 'harrington'),
                'description' => __('Enhanced Tap to call section with so many features in it.', 'harrington'),
                'is_in_lite' => 'false',
                'is_in_pro' => 'true',
            ),
            array(
                'title' => __('Six Slider Settings', 'harrington'),
                'description' => __('Make your Home Page more attractive by using amazing Sliders ', 'harrington'),
                'is_in_lite' => 'false',
                'is_in_pro' => 'true',
            ),
            array(
                'title' => __('Top Heading Section On/Off', 'harrington'),
                'description' => __('You can enable or disable your Top Heading Section', 'harrington'),
                'is_in_lite' => 'false',
                'is_in_pro' => 'true',
            ),
            array(
                'title' => __('Home Page Feature Area On/Off', 'harrington'),
                'description' => __('You can enable or disable your Home Page Feature Area', 'harrington'),
                'is_in_lite' => 'false',
                'is_in_pro' => 'true',
            ),
            array(
                'title' => __('Feature Area Column Option', 'harrington'),
                'description' => __('You can now select the number of column Feature Area to be displayed.', 'harrington'),
                'is_in_lite' => 'false',
                'is_in_pro' => 'true',
            ),
            array(
                'title' => __('Page & Blog Sidebar Layout ', 'harrington'),
                'description' => __('Align your Blog and Page Layout Center, Left & Right', 'harrington'),
                'is_in_lite' => 'false',
                'is_in_pro' => 'true',
            ),
            array(
                'title' => __('Home Page Blog Section On/Off', 'harrington'),
                'description' => __('You can enable or disable your Home Page Blog Section', 'harrington'),
                'is_in_lite' => 'false',
                'is_in_pro' => 'true',
            ),
            array(
                'title' => __('Client Testimonial Section', 'harrington'),
                'description' => __('Display the best reviews or feedback from users in the testimonial section.', 'harrington'),
                'is_in_lite' => 'false',
                'is_in_pro' => 'true',
            ),
            array(
                'title' => __('Contact Page Map', 'harrington'),
                'description' => __('Allows you to add a live map to your contact page', 'harrington'),
                'is_in_lite' => 'false',
                'is_in_pro' => 'true',
            ),
            array(
                'title' => __('Footer Widget Column Area Option', 'harrington'),
                'description' => __('Select the number of Widget Areas to be displayed from the provided options.', 'harrington'),
                'is_in_lite' => 'false',
                'is_in_pro' => 'true',
            ),
            array(
                'title' => __('Footer Widget Area On/Off', 'harrington'),
                'description' => __('You can switch On/Off footer widget area from here.', 'harrington'),
                'is_in_lite' => 'false',
                'is_in_pro' => 'true',
            ),
            array(
                'title' => __('Bottom Footer Area', 'harrington'),
                'description' => __('Change your bottom copyright text and contact details from here.', 'harrington'),
                'is_in_lite' => 'false',
                'is_in_pro' => 'true',
            ),
            array(
                'title' => __('Styling Options', 'harrington'),
                'description' => __('Design your website with more colors and styles', 'harrington'),
                'is_in_lite' => 'false',
                'is_in_pro' => 'true',
            ),
            array(
                'title' => __('Google Analytics Tracking Code', 'harrington'),
                'description' => __('Analyze and track the number of visitors on your website with Google Analytics.', 'harrington'),
                'is_in_lite' => 'false',
                'is_in_pro' => 'true',
            ),
            array(
                'title' => __('SEO Optimized', 'harrington'),
                'description' => __('Get a completely SEO optimized website for your business.', 'harrington'),
                'is_in_lite' => 'false',
                'is_in_pro' => 'true',
            ),
        ),
    ),
);
Inkthemes_About_Page::init(apply_filters('harrington_about_page_array', $config));

function general_admin_notice() {
    $content = '<div class="warning-message">
       <img src="' . get_template_directory_uri() . '/assets/images/information-icon.png"/>
    <p>Switch to Colorway WordPress Theme which is packed with 35+ ready-made elementor templates & offers better customization features and website development elements. <a href="https://wordpress.org/themes/colorway/" target="_blank">Download Colorway</a> for Free !!</p>
</div>';
    $content .= '<div id="colorway-sites-on-active" data-repeat-notice-after="">
                    <div class="notice-container">
                        <div class="colorway-sites-wrap">
                        <div class="block1-container">
                        <div class="top-container">
                            <div class="notice-image">
                            <img src="' . get_template_directory_uri() . '/assets/images/thumb33.png" class="custom-logo" alt="Harrington">
                            </div> 
                            
                        <div class="notice-content">
                        <div class="colorway-sites-block">
                        <h4>Colorway - Advanced Elementor Based WordPress Theme</h4>
                        <p>Create stunning websites in a minute by using 35+ elementor based site templates and the Drag & Drop builder.</p>
                        </div>
	<div class="colorway-review-notice-container">';

    //Check if Colorway Theme Exists or not        
    $get_themes = array();
    $get_themes = wp_get_themes();

    if (array_key_exists("colorway", $get_themes)) {
        $content .= '<a href="' . admin_url('theme-install.php?search=colorway') . '" class="button button-primary button-hero">Try Colorway For Free</a>';
    } else {
        $content .= '<a href="' . admin_url('theme-install.php?search=colorway') . '" class="button button-primary button-hero">Try to Colorway For Free</a>';
    }
    $content .= '<a target="_blank" href="' . esc_url(admin_url("customize.php")) . '" class="button cwy-sites-btn">Go to the Customizer</a></div>
       </div></div></div><div class="cw-sites-video">
 <div class="cwy-video-section embed-container">
<iframe width="100%" height="315px" src="https://www.youtube.com/embed/WLrfR4-HEfo" frameborder="0" allow="autoplay; encrypted-media" allowfullscreen></iframe></div>          
</div>
        </div>
        </div>
	</div>';
    return $content;
}
